<script>

var userSecurityCheck = new Function('return window');

//Define user functions below
function promptForInstaller(startingDir, prompt, diskValidator, command, referenceFile, relativePath) {

	var keepLooping	 = true;
	var cdLocation	 = startingDir;
	relativePath1 = relativePath[1];
	relativePath = relativePath[0];
	
	if(command.length < 1) {
		return;
	}
	var installProgram = cdLocation + relativePath + command[0];
	var uniqueId 	 = cdLocation + relativePath + referenceFile;

	// Support checking a second location via a second value in relativePath.
	var installProgram2 = cdLocation + relativePath1 + command[0];
	var uniqueId2 = cdLocation + relativePath1 + referenceFile;
	
	while ( keepLooping ) {
		//Check to see if the file already in the cd rom. myCommand should be defined in the appropriate properties file
		if (clientFileExists(NO_DISKID, installProgram)  && diskValidator(uniqueId)) {
			keepLooping = false;
		} else if (clientFileExists(NO_DISKID, installProgram2)  && diskValidator(uniqueId2)) {
			installProgram = installProgram2;
			keepLooping = false;
		} else { //if we can't find it, ask the user for the appropriate location
			cdLocation = top.modalPromptWithBrowse(property('promptTitle'), prompt ,cdLocation, top.isDirOK, 450, 170);								
			if (cdLocation != null) { //format the path
				//The validaty of the CD will be verified on the next iteration
				if (cdLocation.substring(cdLocation.length-1) != '/' && cdLocation.substring(cdLocation.length-1) != '\\') {
					if (top.OSTYPE == "windows") {
						cdLocation = cdLocation + '\\';
					} else {
						cdLocation = cdLocation + '/';
					}
				}				
				installProgram = cdLocation + command[0];
				uniqueId	= cdLocation + referenceFile;
			//User canceled
			} else {
				return;
			}
		}
	}	
	command[0] = installProgram;
	runProgram(null,command,BACKGROUND,VISIBLE,this);
}

function customChangeLocale(lang)
{
  top.changeLocale(lang);
}

//
// Added for RTC Launchpads:
//

function installCommand(commandName) {

  var installAsAdmin=getEnv('installAsAdmin');

  if (installAsAdmin == 'FALSE') {
    commandArray = command(commandName+"AsUser");
  } else {
    commandArray = command(commandName+"AsAdmin");
  }
  // alert(commandArray);
  
  return commandArray;
}

function runDB2Setup(element) {
  prereqCheck=0;
  if (top.OS=="Linux") {
    prereqCheck = runProgram(null, command('db2prereqcheckCommand'), FOREGROUND, VISIBLE, element);
  }
  if (prereqCheck != 0) {
    alert(property('db2prereqcheckFailMessage'));
  } else {
    runProgram(null, command('installDB2Launchpad'), BACKGROUND, VISIBLE, element);
  }
}

</script>

